# IMPETOM-Clínico

Proyecto fin de grado Ingeniería Eléctrica, Facultad de Ingeniería, Universidad de la República.

IMPETOM-Clínico es un Tomógrafo por Impedancia Eléctrica para el seguimiento del edema pulmonar, desarrollado en el Núcleo de Ingeniería Biomédica, cuyo proyecto y construcción llevaron a obtener un equipo de medición de bioimpedancia. La reconstrucción tomográfica permite obtener imágenes de cortes axiales del tórax de pacientes para seguir la evolución del volumen de líquido en los pulmones o edema pulmonar.

Estudiantes participantes: Martina Barreiro, Pablo Sánchez, Julián Vera, Matías Viera.

# Descripción general

IMPETOM-Clínico inyecta corriente y mide la tensión resultante en 16 electrodos cutáneos colocados alrededor del tórax u objeto de estudio. A partir de los datos recabados y haciendo uso de librerías de procesamiento de imágenes, IMPETOM-Clínico permite monitorear de manera continua la distribución de aire en el tórax del paciente, cuya impedancia es muy diferente de la de los líquidos y del tejido. Los resultados se presentan en forma de imágenes tomográficas en la interfaz gráfica de una PC dedicada. 

El proyecto abarca el diseño de la electrónica, desde la generación e inyección de corriente de manera que sea segura para el paciente, de 1 $mA$ en un rango de [29 - 31] $kHz$, hasta la adquisición y tratamiento de las señales biológicas con multiplexado y acondicionamiento.

IMPETOM-Clínico es un equipo que entrega en tiempo real imágenes a bajo costo, en forma segura y no invasiva para el paciente. Se hizo especial énfasis en que el equipo construido utilizara alimentación portable con partes de dimensiones acordes a la portabilidad y uso en ambiente clínico. La serie de imágenes del monitoreo pulmonar es preparada según la norma DICOM por IMPETOM-Clínico para su inclusión en la historia clínica del paciente.

Los criterios de diseño e implementación hacen de IMPETOM-Clínico un prototipo destinado a una empresa para su adopción mediante transferencia tecnológica para su comercialización.

# Proyecto electrónico
Estimulación, filtrado y adquisición de señales eléctricas: diseño e implementación tanto de la fuente de corriente para la estimulación, como la etapa de filtrado y medida de señales. Para ambas etapas se incluye el diseño del multiplexado para el manejo de los 16 canales. 

# Interfaz gráfica
Desarrollada para controlar al sistema de forma amigable y visual, con comandos intuitivos que permiten modificar la imagen generada. Se presenta con una pantalla inicial que despliega una guía para colocar los electrodos en el tórax. También se agregan campos a llenar con la información del paciente que son obligatorios para mantener la compatibilidad con el estándar DICOM. 

# Resultados
El sistema diseñado incluye todas las funcionalidades previstas: una circuitería rediseñada y actualizada, un mecanismo de adquisición de datos optimizado, un algoritmo que genera imágenes tomográficas en base a los datos adquiridos, y una interfaz gráfica de usuario sencilla de entender y utilizar, que permite desplegar imágenes en el tiempo de forma continua.

# Artículo relacionado
https://www.frontiersin.org/articles/10.3389/felec.2022.848618/full?&utm_source=Email_to_authors_&utm_medium=Email&utm_content=T1_11.5e1_author&utm_campaign=Email_publication&field=&journalName=Frontiers_in_Electronics&id=848618

# Tutores
Franco Simini - Universidad de la República, Uruguay.

Javier Hurtado - Universidad de la República, Uruguay.

Antonio Dell'Osa - Universidad Nacional de Tierra del Fuego, Argentina.

Isabel Morales - Universidad de la República, Uruguay.


